Subject: [Koha] Documentation of database structure for Koha 1.?
From: KEVIN ZEMBOWER <[email-masked]>
To: [email-masked]
Date: Fri, 08 Jul 2005 14:08:49 -0400
List-Id: Discussion list for the Koha Library system <koha.lists.katipo.co.nz>

Greetings, all.

I'm working on a Koha system that I think has been heavily hacked to work in both Arabic and English. I was told that it's version 1.1 or 1.2 or 1.2.3. Is there any way to tell definitively? I can access the Intranet interface, but don't see where the version information would be listed.  I can also shell into the host.

Because of the effort that went into changing this version to work in Arabic, I don't think that there's any desire to upgrade it to the current versions. However, if the current versions work 'out of the box' in Arabic, they could possibly be persuaded. Any chance of this?

I'm trying to import a set of data representing items in a database of Health Communication materials (posters encouraging people to use condoms, for example). This data isn't in MARC format, unless I convert it myself. There's too much material, over 1,000 items, to input them one at a time through an acquisitions page.  What advice would you offer on how to efficiently input records like these? I'm pretty good with perl and MySQL and can transform the records however needed.

If I wanted to just input the records directly into the MySQL tables of Koha, I need some documentation on the tables. Do diagrams or descriptions of the tables that make up this version of Koha exist anywhere? I'm thinking of things like entity relationship diagrams, or relation schemas, ideally.

Thank you for all your advice and suggestions.

-Kevin Zembower

-----
E. Kevin Zembower
Internet Systems Group manager
Johns Hopkins University
Bloomberg School of Public Health
Center for Communications Programs
111 Market Place, Suite 310
Baltimore, MD  21202
410-659-6139
_______________________________________________
Koha mailing list
[email-masked]
http://lists.katipo.co.nz/mailman/listinfo/koha